For the complete documentation index, see llms.txt. This page is also available as Markdown.

Seller Profile

Vendor user

post
/api/vendor/send-otp
Body
emailIdstringRequired

email id of the vendor

Responses
200

OTP successfully sent to the provided email address

No content

post/api/vendor/send-otp
POST /backend/api/vendor/send-otp HTTP/1.1
Host: 139.59.67.17
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 18

"emailId='text'"

No content

Vendor User Sign Up

post
/api/vendor/register
Body
firstNamestringRequired
lastNamestringOptional
displayNamestringOptional
companyNamestringRequired
contactPersonNamestringRequired
passwordstringRequired
confirmPasswordstringRequired
emailIdstringRequired
phoneNumberstringRequired
otpintegerRequired
industryIdintegerRequired
Responses
200

Thank you for registering with us for selling your product and please check your email

No content

post/api/vendor/register
POST /backend/api/vendor/register HTTP/1.1
Host: 139.59.67.17
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 211

"firstName='text'&lastName='text'&displayName='text'&companyName='text'&contactPersonName='text'&password='text'&confirmPassword='text'&emailId='text'&phoneNumber='text'&otp=1&industryId=1"

No content

Vendor user login

post
/api/vendor/login
Body
emailIdstringRequired
passwordstringRequired
Responses
200

Successfully loggedIn

No content

post/api/vendor/login
POST /backend/api/vendor/login HTTP/1.1
Host: 139.59.67.17
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 36

"emailId='text'&password='text'"

No content

Seller KYC submission

edit vendor

post
/api/vendor/edit-vendor/{customerId}
Path parameters
customerIdintegerRequired
Header parameters
AuthorizationstringRequired
Body
firstNamestringOptional
lastNamestringOptional
avatarstringOptional
designationstringOptional
emailstringOptional
mobileNumberinteger · int32Optional
companyNamestringOptional
companyLogostringOptional
companyCoverImagestringOptional
companyAddress1stringOptional
companyAddress2stringOptional
companyCitystringOptional
companyStatestringOptional
companyCountryIdinteger · int32Optional
pincodestringOptional
companyMobileNumberinteger · int32Optional
companyEmailIdstringOptional
companyWebsitestringOptional
companyTaxNumberstringOptional
companyPanNumberstringOptional
paymentInformationstringOptional
Responses
200

Edited successfully

post/api/vendor/edit-vendor/{customerId}
POST /backend/api/vendor/edit-vendor/{customerId} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 459

"firstName='text'&lastName='text'&avatar='text'&designation='text'&email='text'&mobileNumber=1&companyName='text'&companyLogo='text'&companyCoverImage='text'&companyAddress1='text'&companyAddress2='text'&companyCity='text'&companyState='text'&companyCountryId=1&pincode='text'&companyMobileNumber=1&companyEmailId='text'&companyWebsite='text'&companyTaxNumber='text'&companyPanNumber='text'&paymentInformation='text'"

No content

Vendor update pending stauts

put
/api/vendor/pending-status/update/{id}
Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Body
idinteger · int32Required
Responses
200

Successfully update pending status..!

put/api/vendor/pending-status/update/{id}
PUT /backend/api/vendor/pending-status/update/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 8

"id=1"

No content

Seller MyShop

Vendor profile

get
/api/vendor/vendor-profile
Header parameters
AuthorizationstringRequired
Responses
200

successfully got Vendor profile.

No content

get/api/vendor/vendor-profile
GET /backend/api/vendor/vendor-profile HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*

No content

Last updated